Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libkipi
Version:	0.1.6
Release:	2
License:	GNU/GPL 
URL:            http://extragear.kde.org/apps/kipi
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a generic KDE image plug-in interface.

BuildRequires:	kdelibs3-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  gamin-devel
BuildRequires:  libidn-devel
BuildRequires:  libpng-devel
BuildRequires:  qt3-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

%description
libkipi is a generic KDE image plug-in interface used by some KDE image applications.
Plug-ins for this interface are in the kipi-plugins package.
For more details see: http://digikam.sourceforge.net/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig
touch --no-create %{_kdedir}/share/icons/hicolor ||:
gtk-update-icon-cache -q %{_kdedir}/share/icons/hicolor 2> /dev/null ||:

%postun
ldconfig
touch --no-create %{_kdedir}/share/icons/hicolor ||:
gtk-update-icon-cache -q %{_kdedir}/share/icons/hicolor 2> /dev/null ||:

%prep
%setup -n %{name}-%{version}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --disable-static --with-extra-includes=/usr/include/kde

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# unpackaged files, conflict wirh KDEgraphics4
rm -Rf $RPM_BUILD_ROOT%{_datadir}/icons
rm -Rf $RPM_BUILD_ROOT%{_datadir}/locale


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/*.so.*
%{_datadir}/apps/kipi
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libkipi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.1.6-2
- moved prefix
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.6-1
- version update
- svn 786200
* Tue Feb 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.1.5-1
- version update
* Fri May 26 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.4-1
- version update
* Wed May 24 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.2-3
- rebuilt against newest qt
* Sat Jan 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.1.2-2
- rebuilt against newest qt
* Tue Nov 01 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.2-1
- Update to Version 0.1.2, tweaked specfile
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.1-1
- Initial Release
